| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
BOOST_ADC_INPUT_SETTINGS_s Struct Reference

ADC input channel configuration. More...

`#include <power_control/devices/dev_boost_typedef.h>`

Collaboration diagram for BOOST_ADC_INPUT_SETTINGS_s:

## Data Fields
volatile bool | enabled
| input channel enable bit More...
volatile uint16_t * | adc_buffer
| pointer to ADC result buffer More...
volatile uint16_t | gpio_instance
| GPIO instance of the selected PWM generator. More...
volatile uint8_t | adc_input
| number of the ADC input channel used More...
volatile uint8_t | adc_core
| number of the ADC core connected to the selected channel More...
volatile uint8_t | trigger_source
| input channel trigger source More...
volatile bool | interrupt_enable
| input channel interrupt enable bit More...
volatile bool | early_interrupt_enable
| input channel early interrupt enable bit More...
volatile bool | differential_input
| input channel differential mode enable bit More...
volatile bool | signed_result
| input channel singed result mode enable bit More...
volatile bool | level_trigger
| input channel level trigger mode enable bit More...
volatile struct BOOST_ADC_INPUT_SCALING_s | scaling
| normalization scaling settings More...

## Detailed Description

ADC input channel configuration.

Definition at line 452 of file dev_boost_typedef.h.

## Field Documentation

## ◆ adc_buffer

volatile uint16_t* adc_buffer

pointer to ADC result buffer

Definition at line 455 of file dev_boost_typedef.h.

## ◆ adc_core

volatile uint8_t adc_core

number of the ADC core connected to the selected channel

Definition at line 458 of file dev_boost_typedef.h.

## ◆ adc_input

volatile uint8_t adc_input

number of the ADC input channel used

Definition at line 457 of file dev_boost_typedef.h.

## ◆ differential_input

volatile bool differential_input

input channel differential mode enable bit

Definition at line 462 of file dev_boost_typedef.h.

## ◆ early_interrupt_enable

volatile bool early_interrupt_enable

input channel early interrupt enable bit

Definition at line 461 of file dev_boost_typedef.h.

## ◆ enabled

volatile bool enabled

input channel enable bit

Definition at line 454 of file dev_boost_typedef.h.

## ◆ gpio_instance

volatile uint16_t gpio_instance

GPIO instance of the selected PWM generator.

Definition at line 456 of file dev_boost_typedef.h.

## ◆ interrupt_enable

volatile bool interrupt_enable

input channel interrupt enable bit

Definition at line 460 of file dev_boost_typedef.h.

## ◆ level_trigger

volatile bool level_trigger

input channel level trigger mode enable bit

Definition at line 464 of file dev_boost_typedef.h.

## ◆ scaling

volatile struct BOOST_ADC_INPUT_SCALING_s scaling

normalization scaling settings

Definition at line 465 of file dev_boost_typedef.h.

## ◆ signed_result

volatile bool signed_result

input channel singed result mode enable bit

Definition at line 463 of file dev_boost_typedef.h.

## ◆ trigger_source

volatile uint8_t trigger_source

input channel trigger source

Definition at line 459 of file dev_boost_typedef.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/power_control/devices/dev_boost_typedef.h